;;; -*-Emacs-Lisp-*-

;; Made by Mattias Nyrell 199911
;; Mainly because i didn't like the colors in font-lock-mode
;; I use black text on white background, and a color scheme
;; based on the one in KDevelop.

;;;;;;;;;;
;; Misc ;;
;;;;;;;;;;
;; Misc settings that I found here and there...

; Dont show the GNU splash screen
(setq inhibit-startup-message t)

; Make all "yes or no" prompts show "y or n" instead
(fset 'yes-or-no-p 'y-or-n-p)

;; Byt plats p RET och LF. Detta gr att RET kommer att indentera
;; automagiskt
(setq foo (global-key-binding "\C-m"))
(global-set-key "\C-m" (global-key-binding "\C-j"))
(global-set-key "\C-j" foo)

;; Open unidentified files in text mode
(setq default-major-mode 'text-mode)

;; Bestmmer hut mycket emacs scrollar nr man gr utanfr fnstret.
(setq scroll-step 1)

;; Windows-like selection, but don't replace marked text when writing
;; Doesn't work in xemacs
;;(pc-selection-mode)
;;(delete-selection-mode nil)

; Visar 24-timmarstid med display-time
(setq display-time-24hr-format t)
(display-time)

;; Set extensions
(setq tex-dvi-view-command "xdvi")
(setq compile-command "make")

;; Nr man programmerar kan det ibland vara vldigt trevligt om Emacs
;; blinkar matchande parenteser ven om de str lngt ifrn varandra.
;; Det kan gra Emacs lite lngsammare ngon gng ibland, men det r
;; det vrt.
(setq blink-matching-paren-distance nil)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; HTML/WWW related stuff ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Gr s att vi editerar HTML-filer med html-helper-mode.
(autoload 'html-helper-mode "html-helper-mode" "HTML editing mode" t)
(or (assoc "\\.html$" auto-mode-alist)
    (setq auto-mode-alist (cons '("\\.html$" . html-helper-mode) 
				auto-mode-alist)))

;; Fyll i nya HTML-dokument med ett skelett.
(setq html-helper-build-new-buffer t)

;; Ladda lite extra HTML-prylar och sl p auto-fill och aao-mode nr
;; man editerar HTML-filer
(add-hook 'html-helper-load-hook 
	  '(lambda ()
	     (load "hhm-netscape")
	     (load "html-font")
	     (turn-on-auto-fill)
	     (turn-on-aao-mode)))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Saker som lg i min .emacs p IDA ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(set-input-mode t nil 'gazonk 7)

(setq standard-display-european t)

(defun delete-to-beginning-of-line ()
  (interactive)
  (let ((p (point)))
    (beginning-of-line)
    (kill-region (point) p)))

(defun delete-whole-line ()
  (interactive)
  (beginning-of-line)
  (kill-line))

(defun save-eval-changebuffer ()
  (interactive)
  (save-buffer)
  (eval-buffer)
  (switch-to-buffer *common-lisp*))

(global-set-key "\C-l" 'save-eval-changebuffer)


;;;;;;;;;;;;;;;;;;;;;;;
;; Some key bindings ;;
;;;;;;;;;;;;;;;;;;;;;;;

(global-set-key "\C-cG" 'goto-line) ;; Set C-G to goto-line
(global-set-key [home] 'beginning-of-line)
(global-set-key [end] 'end-of-line)
(global-set-key "\C-cF" 'font-lock-mode) ; Sl av/p font-lock
(global-set-key "\C-cc" 'compile)
;(global-set-key [delete] `backward-delete-char)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Nice colors and some other stuff! ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; All these settings was set using
;; "customize" on the help menu in
;; emacs
(custom-set-variables
 '(font-lock-maximum-decoration t)
 '(column-number-mode t)
 '(font-lock-global-modes t)
 '(global-font-lock-mode t nil (font-lock))
 '(line-number-mode t)
 '(font-lock-support-mode (quote lazy-lock-mode))
 '(user-mail-address "matny277@student.liu.se" t))

(custom-set-faces
 '(default ((t (:size "14pt"))) t)
 '(font-lock-string-face ((((class color) (background light)) (:foreground "#008000"))))
 '(font-lock-doc-string-face ((((class color) (background light)) (:foreground "#008000"))))
 '(font-lock-preprocessor-face ((((class color) (background light)) (:foreground "#800080"))))
 '(font-lock-variable-name-face ((((class color) (background light)) (:foreground "Black"))))
 '(font-lock-keyword-face ((((class color) (background light)) (:bold t :foreground "Black"))))
 '(font-lock-builtin-face ((((class color) (background light)) (:foreground "#800080"))))
 '(font-lock-constant-face ((((class color) (background light)) (:foreground "#6446ad"))))
 '(font-lock-type-face ((((class color) (background light)) (:bold t :foreground "#6446ad"))))
 '(font-lock-comment-face ((((class color) (background light)) (:foreground "#e00000"))))
 '(font-lock-function-name-face ((((class color) (background light)) (:bold t :foreground "Black")))))

(message ".emacs loaded.")







